%define pkgname libsigc++

%define api 2.0
%define major 0
%define libname %mklibname sigc++ %{api} %{major}
%define devname %mklibname sigc++ %{api} -d

Summary:	The Typesafe Signal Framework for C++
Name:		%{pkgname}%{api}
Version:	2.4.1
Release:	1
License:	LGPLv2.1+
Group:		System/Libraries
Url:		http://libsigc.sourceforge.net/
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/2.4/%{pkgname}-%{version}.tar.xz

%description
Callback system for use in widget libraries, abstract interfaces, and
general programming.

This library implements a full callback system for use in widget
libraries, abstract interfaces, and general programming. Originally part
of the Gtk-- widget set, %{pkgname} is now a separate library to provide for
more general use. It is the most complete library of its kind with the
ablity to connect an abstract callback to a class method, function, or
function object. It contains adaptor classes for connection of dissimilar
callbacks and has an ease of use unmatched by other C++ callback
libraries.

Package gtkmm, which is a c++ binding to the famous gtk+ library, uses
%{pkgname}.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	The Typesafe Signal Framework for C++
Group:		System/Libraries
Provides:	%{pkgname}%{api} = %{EVRD}

%description -n %{libname}
Callback system for use in widget libraries, abstract interfaces, and
general programming.

This library implements a full callback system for use in widget
libraries, abstract interfaces, and general programming. Originally part
of the Gtk-- widget set, %{pkgname} is now a separate library to provide for
more general use. It is the most complete library of its kind with the
ablity to connect an abstract callback to a class method, function, or
function object. It contains adaptor classes for connection of dissimilar
callbacks and has an ease of use unmatched by other C++ callback
libraries.

Package gtkmm, which is a c++ binding to the famous gtk+ library, uses
%{pkgname}.

%files -n %{libname}
%doc COPYING NEWS README
%{_libdir}/libsigc-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development tools for the Typesafe Signal Framework for C++ 
Group:		Development/C++
Requires:	%{libname} = %{EVRD}
Provides:	%{pkgname}%{api}-devel = %{EVRD}
Provides:	sigc++%{api}-devel = %{EVRD}

%description -n %{devname}
This package contains the headers and static libraries of %{pkgname},
which are needed when developing or compiling applications which use
%{pkgname}.

%files -n %{devname}
%doc AUTHORS ChangeLog TODO
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_libdir}/sigc++-%{api}

#----------------------------------------------------------------------------

%package doc
Summary:	Documentation for %{pkgname} library
Group:		Documentation

%description doc
This package provides API documentation of %{pkgname} library.

%files doc
%doc %{_docdir}/libsigc++-%{api}
%{_datadir}/devhelp/books/libsigc++-%{api}

#----------------------------------------------------------------------------

%prep
%setup -qn %{pkgname}-%{version}

%build
%configure2_5x
%make

%install
%makeinstall_std

%check
make check


%changelog

* Thu Mar 12 2015 Tigro <ashejn@gmail.com> 2.4.1-1
- (6121c89) update to 2.4.1


